Bug 435302 - The Fedora 8 tar utility is NOT backward compatible with older e2fs.
The Fedora 8 tar utility is NOT backward compatible with older e2fs.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: tar (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 11:04 EST by Shaun Andrew
Modified: 2009-06-10 05:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 05:01:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shaun Andrew 2008-02-28 11:04:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12 pango-text

Description of problem:
tar-1.17-x.fc8.i386.rpm is not backward compatible with older e2fs filesystems.  My Fedora 8 Disk Imaging System cannot restore bootable Redhat 7.2 or Redhat 8.0 system disks.  My prior Fedora 7 Disk Imaging System could.

I use mke2fs to build the filesystem, and I turn-off features, which are not compatible with older e2fs.  I then restore the system tar archive, and run grub install.  The grub splash screen comes up and starts the boot, but the boot fails when it reaches for initrd.  I initially reported this bug against e2fsprogs, and I loaded prior releases of e2fsprogs on my Fedora 8 Disk Imaging System, only to receive the same fail results.   I then discovered the problem is NOT with e2fsprogs, but with TAR.

I clobbered the Fedora 8 tar utility with the Fedora 7 tar utility.

rpm -Uvh --force --nodeps tar-1.15.1-28.fc7.i386.rpm

Now my Fedora 8 Disk Imaging System can produced bootable Redhat 7.2 and Redhat 8.0 filesystems 

Version-Release number of selected component (if applicable):
tar-1.17-x, where x is any patch level

How reproducible:
Always


Steps to Reproduce:
1.Using a Fedora 8 system, back-up the /boot partition of an older e2fs system disk, i.e., a Redhat 7.2 System Disk built from the original distribution CD.
mkdir /seti
cd /seti
mkdir p1
mount /dev/sdb1 /seti/p1
tar -czf testboot.tar.gz p1

2. Format the Redhat 7.2 /boot partition. turn-off resize_inode and dir_index, for these features are not compatible.

mkfs -t ext2 -L /boot -O has_journal,^resize_inode,^dir_index /dev/sdb1

3. restore the tar back-up:
tar -xzpf testboot.tar.gz
reinstall grub
then try to boot the rebuilt system disk

Actual Results:
The restored Redhat 7.2 System Disk will not boot.  The grub splash screen is displayed, boot begins, but then fails when the boot process reaches for initrd.  We end in "kernel panic".


Expected Results:

Repeat the steps with a Fedora 8 system that has a Fedora 7 tar utility, i.e., tar-1.15.1-28.i386.rpm.  The Rehat 7.2 System Disk will boot-up and function normally.

Additional info:
The Fedora 8 tar utility is NOT backward compatible with older e2fs.
tar-1.17-x.i386.rpm, where x is any patch level.
Comment 1 Ondrej Vasik 2008-05-27 05:59:50 EDT
Thanks for report. It could take some time till I will have time to reproduce it
here. Just to locate the problem more precisely, I have some questions:

1) Does the problem still occur with the current rawhide
tar(http://koji.fedoraproject.org/koji/buildinfo?buildID=50529)?
2) if you use F8 tar in step 1 and F7 tar in step three, is the result still
failure?
3) if you use F7 tar in step 1 and F8 tar in step three, is the result still
failure?

If problem will be found in compression or decompression of F8 tar, could you
please provide strace of the failing section(two straces - one from F7 and one
from F8 tar). Thanks in advance, it could help to solve (or address) the problem
more quickly.
Comment 2 Kamil Dudka 2008-07-18 07:57:53 EDT
One more question: If You run diff -r on working boot directory and non-working 
boot directory, can it see any difference?
Comment 3 Bug Zapper 2008-11-26 04:57:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Shaun Andrew 2008-12-16 09:02:29 EST
About a year ago I stated that tar-1.17-x.fc8.i386.rpm was not backward compatible with older e2fs filesystems.  I bet the problem really is that tar-1.17-x.fc8.i386.rpm is NOT backward compatible with tar archives produced from earlier versions of tar .
Comment 5 Ondrej Vasik 2008-12-16 10:29:53 EST
I have read again the problem description from February 2008 but there are few unanswered questions from comment #1 and comment #2. We are just trying to get more data to address the issue and to save our investigation time (which is maybe easier for you as you are reporter). 

Thanks in advance for answers, we really need those informations before investigating further, changing version to 9 to prevent closing that bugzilla soon.
Comment 6 Bug Zapper 2009-06-09 19:38:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Ondrej Vasik 2009-06-10 05:01:23 EDT
Closing INSUFFICIENT_DATA, mentioned F-7 and F-8 are EOL, so if you have still troubles with supported versions of Fedoras, please answer questions from comments #1 and #2 and   the bug could be reopened and investigated.

Note You need to log in before you can comment on or make changes to this bug.